<template>
    <div class="pa10">
        <el-tabs type="border-card" style="height: calc(100vh - 20px)" v-model="activeName" @tab-click="handleClick">
            <el-tab-pane label="CVT台账" name="1">
                <cvt v-if="activeName == '1'"></cvt>
            </el-tab-pane>
            <el-tab-pane label="台账绑定" name="2">
                <bind v-if="activeName == '2'"></bind>
            </el-tab-pane>
        </el-tabs>
    </div>
</template>
<script>
import cvt from './components/cvt.vue'
import bind from './components/bind.vue'
export default {
    components: {
        cvt,
        bind
    },
    data() {
        return {
            activeName: '1'
        }
    },
    created() {
        if (process.env.VUE_APP_MODE === 'cgyqr') {
           if (process.env.VUE_APP_KEY != 'scqr') {
                this.guanzhou()
            }
        }
    },
    mounted() {},
    methods: {
        guanzhou() {
            var data = {
                token: this.$route.query.token
            }
            api1.guanzhou(data).then(res => {
                if (res.code == 'A0000') {
                    return
                } else {
                    this.$router.push('/error/massege/403')
                }
            })
        },
        handleClick(tab, event) {
            // console.log(tab, event);
            this.activeName = tab.name
        }
    }
}
</script>
<style lang="less" scoped>
.pa10 {
    padding: 10px;
}
::v-deep .el-tabs--border-card > .el-tabs__content {
    padding: 10px;
}
</style>
